Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface ServicedefPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface ServicedefPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

[[ TODO - add documentation here ]]

See Also:
  `ServicedefFactory`

Nested Class Summary
`static interface` | `ServicedefPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `AND_FEATURE_CONSTRAINT` The meta object id for the '`AND Feature Constraint`' class
`static int` | `AND_FEATURE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'AND Feature Constraint' class
`static int` | `AND_PARAM_CONSTRAINT` The meta object id for the '`AND Param Constraint`' class
`static int` | `AND_PARAM_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `AND_PARAM_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'AND Param Constraint' class
`static int` | `AND_VALUE_CONSTRAINT` The meta object id for the '`AND Value Constraint`' class
`static int` | `AND_VALUE_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `AND_VALUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'AND Value Constraint' class
`static int` | `AUTH_LEVEL_ENUM` The meta object id for the '`Auth Level Enum`' enum
`static int` | `BASE_TYPES` The meta object id for the '`Base Types`' class
`static int` | `BASE_TYPES__BASE_TYPES` The feature id for the 'Base Types' containment reference list
`static int` | `BASE_TYPES_FEATURE_COUNT` The number of structural features of the 'Base Types' class
`static int` | `CHANNEL_SECURITY_LEVEL_ENUM` The meta object id for the '`Channel Security Level Enum`' enum
`static int` | `COMPOSITE_FEATURE_CONSTRAINT` The meta object id for the '`Composite Feature Constraint`' class
`static int` | `COMPOSITE_FEATURE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Composite Feature Constraint' class
`static int` | `COMPOSITE_PARAM_CONSTRAINT` The meta object id for the '`Composite Param Constraint`' class
`static int` | `COMPOSITE_PARAM_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `COMPOSITE_PARAM_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Composite Param Constraint' class
`static int` | `COMPOSITE_VALUE_CONSTRAINT` The meta object id for the '`Composite Value Constraint`' class
`static int` | `COMPOSITE_VALUE_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `COMPOSITE_VALUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Composite Value Constraint' class
`static int` | `CONTINUOUS_RANGE_CONSTRAINT` The meta object id for the '`Continuous Range Constraint`' class
`static int` | `CONTINUOUS_RANGE_CONSTRAINT__LOWERBOUND` The feature id for the 'Lowerbound' attribute
`static int` | `CONTINUOUS_RANGE_CONSTRAINT__UPPERBOUND` The feature id for the 'Upperbound' attribute
`static int` | `CONTINUOUS_RANGE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Continuous Range Constraint' class
`static int` | `CUSTOM_CONSTRAINT` The meta object id for the '`Custom Constraint`' class
`static int` | `CUSTOM_CONSTRAINT__CHECK_METHOD_NAME` The feature id for the 'Check Method Name' attribute
`static int` | `CUSTOM_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Custom Constraint' class
`static int` | `DISCRETE_RANGE_CONSTRAINT` The meta object id for the '`Discrete Range Constraint`' class
`static int` | `DISCRETE_RANGE_CONSTRAINT__LITERALS` The feature id for the 'Literals' attribute list
`static int` | `DISCRETE_RANGE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Discrete Range Constraint' class
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class
`static int` | `DOCUMENT_ROOT__SERVICE` The feature id for the 'Service' containment reference list
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class
`static ServicedefPackage` | `eINSTANCE` The singleton instance of the package
`static int` | `EJBPA_BINDING` The meta object id for the '`EJBPA Binding`' class
`static int` | `EJBPA_BINDING__CHANNEL_SECURITY_LEVEL` The feature id for the 'Channel Security Level' attribute
`static int` | `EJBPA_BINDING__COD_BINDING` The feature id for the 'Cod Binding' attribute
`static int` | `EJBPA_BINDING_FEATURE_COUNT` The number of structural features of the 'EJBPA Binding' class
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `FEATURE_CONSTRAINT` The meta object id for the '`Feature Constraint`' class
`static int` | `FEATURE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Feature Constraint' class
`static int` | `INPUT_VALIDATOR` The meta object id for the '`Input Validator`' class
`static int` | `INPUT_VALIDATOR__CONSTRAINT` The feature id for the 'Constraint' containment reference
`static int` | `INPUT_VALIDATOR_FEATURE_COUNT` The number of structural features of the 'Input Validator' class
`static int` | `NOT_FEATURE_CONSTRAINT` The meta object id for the '`NOT Feature Constraint`' class
`static int` | `NOT_FEATURE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'NOT Feature Constraint' class
`static int` | `NOT_PARAM_CONSTRAINT` The meta object id for the '`NOT Param Constraint`' class
`static int` | `NOT_PARAM_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `NOT_PARAM_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'NOT Param Constraint' class
`static int` | `NOT_VALUE_CONSTRAINT` The meta object id for the '`NOT Value Constraint`' class
`static int` | `NOT_VALUE_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `NOT_VALUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'NOT Value Constraint' class
`static int` | `OP_TYPE_ENUM` The meta object id for the '`Op Type Enum`' enum
`static int` | `OPERATION` The meta object id for the '`Operation`' class
`static int` | `OPERATION__AUTHORIZED_ROLES` The feature id for the 'Authorized Roles' reference list
`static int` | `OPERATION__NAME` The feature id for the 'Name' attribute
`static int` | `OPERATION__OP_TYPE` The feature id for the 'Op Type' attribute
`static int` | `OPERATION__PARAMS` The feature id for the 'Params' containment reference list
`static int` | `OPERATION__RETURN_TYPE` The feature id for the 'Return Type' reference
`static int` | `OPERATION__SINCE` The feature id for the 'Since' attribute
`static int` | `OPERATION__THROWS` The feature id for the 'Throws' reference list
`static int` | `OPERATION__TX_TYPE` The feature id for the 'Tx Type' attribute
`static int` | `OPERATION__VALIDATOR` The feature id for the 'Validator' containment reference
`static int` | `OPERATION_FEATURE_COUNT` The number of structural features of the 'Operation' class
`static int` | `OR_FEATURE_CONSTRAINT` The meta object id for the '`OR Feature Constraint`' class
`static int` | `OR_FEATURE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'OR Feature Constraint' class
`static int` | `OR_PARAM_CONSTRAINT` The meta object id for the '`OR Param Constraint`' class
`static int` | `OR_PARAM_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `OR_PARAM_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'OR Param Constraint' class
`static int` | `OR_VALUE_CONSTRAINT` The meta object id for the '`OR Value Constraint`' class
`static int` | `OR_VALUE_CONSTRAINT__COMPONENT` The feature id for the 'Component' containment reference list
`static int` | `OR_VALUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'OR Value Constraint' class
`static int` | `PARAM` The meta object id for the '`Param`' class
`static int` | `PARAM__CONSTRAINT` The feature id for the 'Constraint' reference
`static int` | `PARAM__NAME` The feature id for the 'Name' attribute
`static int` | `PARAM__TYPE` The feature id for the 'Type' reference
`static int` | `PARAM__VALIDATOR` The feature id for the 'Validator' containment reference
`static int` | `PARAM_CONSTRAINT` The meta object id for the '`Param Constraint`' class
`static int` | `PARAM_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Param Constraint' class
`static int` | `PARAM_FEATURE_COUNT` The number of structural features of the 'Param' class
`static int` | `PARAM_VALIDATOR` The meta object id for the '`Param Validator`' class
`static int` | `PARAM_VALIDATOR__CONSTRAINT` The feature id for the 'Constraint' containment reference
`static int` | `PARAM_VALIDATOR_FEATURE_COUNT` The number of structural features of the 'Param Validator' class
`static int` | `RELATIVE_CONSTRAINT` The meta object id for the '`Relative Constraint`' class
`static int` | `RELATIVE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Relative Constraint' class
`static int` | `ROLE` The meta object id for the '`Role`' class
`static int` | `ROLE__NAME` The feature id for the 'Name' attribute
`static int` | `ROLE_FEATURE_COUNT` The number of structural features of the 'Role' class
`static int` | `SD_ANNOTATION_DETAIL` The meta object id for the '`SD Annotation Detail`' class
`static int` | `SD_ANNOTATION_DETAIL__KEY` The feature id for the 'Key' attribute
`static int` | `SD_ANNOTATION_DETAIL__VALUE` The feature id for the 'Value' attribute
`static int` | `SD_ANNOTATION_DETAIL_FEATURE_COUNT` The number of structural features of the 'SD Annotation Detail' class
`static int` | `SERVICE_BINDING` The meta object id for the '`Service Binding`' class
`static int` | `SERVICE_BINDING__CHANNEL_SECURITY_LEVEL` The feature id for the 'Channel Security Level' attribute
`static int` | `SERVICE_BINDING__COD_BINDING` The feature id for the 'Cod Binding' attribute
`static int` | `SERVICE_BINDING_FEATURE_COUNT` The number of structural features of the 'Service Binding' class
`static int` | `SERVICE_DEF` The meta object id for the '`Service Def`' class
`static int` | `SERVICE_DEF__ANNOTATIONS` The feature id for the 'Annotations' containment reference list
`static int` | `SERVICE_DEF__AUTH_LEVEL` The feature id for the 'Auth Level' attribute
`static int` | `SERVICE_DEF__BINDINGS` The feature id for the 'Bindings' containment reference list
`static int` | `SERVICE_DEF__COD_COMPONENTE` The feature id for the 'Cod Componente' attribute
`static int` | `SERVICE_DEF__COD_PRODOTTO` The feature id for the 'Cod Prodotto' attribute
`static int` | `SERVICE_DEF__COD_SERVIZIO` The feature id for the 'Cod Servizio' attribute
`static int` | `SERVICE_DEF__DIAG_ENABLED` The feature id for the 'Diag Enabled' attribute
`static int` | `SERVICE_DEF__MONITORABLE` The feature id for the 'Monitorable' attribute
`static int` | `SERVICE_DEF__OPERATIONS` The feature id for the 'Operations' containment reference list
`static int` | `SERVICE_DEF__ROLES` The feature id for the 'Roles' containment reference list
`static int` | `SERVICE_DEF__SERVICE_TYPE` The feature id for the 'Service Type' attribute
`static int` | `SERVICE_DEF__TRACE_ENABLED` The feature id for the 'Trace Enabled' attribute
`static int` | `SERVICE_DEF__TYPES` The feature id for the 'Types' containment reference
`static int` | `SERVICE_DEF__VERSIONE` The feature id for the 'Versione' attribute
`static int` | `SERVICE_DEF_ANNOTATION` The meta object id for the '`Service Def Annotation`' class
`static int` | `SERVICE_DEF_ANNOTATION__DETAILS` The feature id for the 'Details' containment reference list
`static int` | `SERVICE_DEF_ANNOTATION__SOURCE` The feature id for the 'Source' attribute
`static int` | `SERVICE_DEF_ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Service Def Annotation' class
`static int` | `SERVICE_DEF_FEATURE_COUNT` The number of structural features of the 'Service Def' class
`static int` | `SIMPLE_FEATURE_CONSTRAINT` The meta object id for the '`Simple Feature Constraint`' class
`static int` | `SIMPLE_FEATURE_CONSTRAINT__CONSTRAINT` The feature id for the 'Constraint' containment reference
`static int` | `SIMPLE_FEATURE_CONSTRAINT__ENTITY` The feature id for the 'Entity' reference
`static int` | `SIMPLE_FEATURE_CONSTRAINT__FEATURE` The feature id for the 'Feature' reference
`static int` | `SIMPLE_FEATURE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Simple Feature Constraint' class
`static int` | `SIMPLE_PARAM_COINSTRAINT` The meta object id for the '`Simple Param Coinstraint`' class
`static int` | `SIMPLE_PARAM_COINSTRAINT__CONSTRAINT` The feature id for the 'Constraint' containment reference
`static int` | `SIMPLE_PARAM_COINSTRAINT__PARAM` The feature id for the 'Param' reference
`static int` | `SIMPLE_PARAM_COINSTRAINT_FEATURE_COUNT` The number of structural features of the 'Simple Param Coinstraint' class
`static int` | `SIMPLE_VALUE_CONSTRAINT` The meta object id for the '`Simple Value Constraint`' class
`static int` | `SIMPLE_VALUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Simple Value Constraint' class
`static int` | `SOAPPABR_BINDING` The meta object id for the '`SOAPPABR Binding`' class
`static int` | `SOAPPABR_BINDING__CHANNEL_SECURITY_LEVEL` The feature id for the 'Channel Security Level' attribute
`static int` | `SOAPPABR_BINDING__COD_BINDING` The feature id for the 'Cod Binding' attribute
`static int` | `SOAPPABR_BINDING_FEATURE_COUNT` The number of structural features of the 'SOAPPABR Binding' class
`static int` | `SRV_TYPE_ENUM` The meta object id for the '`Srv Type Enum`' enum
`static int` | `TX_TYPE_ENUM` The meta object id for the '`TX Type Enum`' enum
`static int` | `TYPES` The meta object id for the '`Types`' class
`static int` | `TYPES__TYPES` The feature id for the 'Types' containment reference list
`static int` | `TYPES_FEATURE_COUNT` The number of structural features of the 'Types' class
`static int` | `VALUE_CONSTRAINT` The meta object id for the '`Value Constraint`' class
`static int` | `VALUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Value Constraint' class
`static int` | `VALUE_RANGE_CONSTRAINT` The meta object id for the '`Value Range Constraint`' class
`static int` | `VALUE_RANGE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Value Range Constraint' class
`static int` | `VALUE_VALORIZATION_CONSTRAINT` The meta object id for the '`Value Valorization Constraint`' class
`static int` | `VALUE_VALORIZATION_CONSTRAINT__MUST_NOT_BE_NULL` The feature id for the 'Must Not Be Null' attribute
`static int` | `VALUE_VALORIZATION_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Value Valorization Constraint' class
`static int` | `WS_BINDING` The meta object id for the '`WS Binding`' class
`static int` | `WS_BINDING__CHANNEL_SECURITY_LEVEL` The feature id for the 'Channel Security Level' attribute
`static int` | `WS_BINDING__COD_BINDING` The feature id for the 'Cod Binding' attribute
`static int` | `WS_BINDING__ENDPOINTS` The feature id for the 'Endpoints' containment reference list
`static int` | `WS_BINDING_FEATURE_COUNT` The number of structural features of the 'WS Binding' class
`static int` | `WS_ENCRYPT` The meta object id for the '`WS Encrypt`' class
`static int` | `WS_ENCRYPT_FEATURE_COUNT` The number of structural features of the 'WS Encrypt' class
`static int` | `WS_ENDPOINT` The meta object id for the '`WS Endpoint`' class
`static int` | `WS_ENDPOINT__CODE` The feature id for the 'Code' attribute
`static int` | `WS_ENDPOINT__IN_CHANNEL` The feature id for the 'In Channel' containment reference
`static int` | `WS_ENDPOINT__OUT_CHANNEL` The feature id for the 'Out Channel' containment reference
`static int` | `WS_ENDPOINT_CHANNEL` The meta object id for the '`WS Endpoint Channel`' class
`static int` | `WS_ENDPOINT_CHANNEL__WS_SECURITY` The feature id for the 'Ws Security' containment reference list
`static int` | `WS_ENDPOINT_CHANNEL_FEATURE_COUNT` The number of structural features of the 'WS Endpoint Channel' class
`static int` | `WS_ENDPOINT_FEATURE_COUNT` The number of structural features of the 'WS Endpoint' class
`static int` | `WS_SECURITY_SPEC` The meta object id for the '`WS Security Spec`' class
`static int` | `WS_SECURITY_SPEC_FEATURE_COUNT` The number of structural features of the 'WS Security Spec' class
`static int` | `WS_SIGNATURE` The meta object id for the '`WS Signature`' class
`static int` | `WS_SIGNATURE_FEATURE_COUNT` The number of structural features of the 'WS Signature' class
`static int` | `WS_TIMESTAMP` The meta object id for the '`WS Timestamp`' class
`static int` | `WS_TIMESTAMP_FEATURE_COUNT` The number of structural features of the 'WS Timestamp' class
`static int` | `WS_USERNAME_TOKEN_AUTH` The meta object id for the '`WS Username Token Auth`' class
`static int` | `WS_USERNAME_TOKEN_AUTH_FEATURE_COUNT` The number of structural features of the 'WS Username Token Auth' class
`static int` | `WSFAD_BINDING` The meta object id for the '`WSFAD Binding`' class
`static int` | `WSFAD_BINDING__CHANNEL_SECURITY_LEVEL` The feature id for the 'Channel Security Level' attribute
`static int` | `WSFAD_BINDING__COD_BINDING` The feature id for the 'Cod Binding' attribute
`static int` | `WSFAD_BINDING_FEATURE_COUNT` The number of structural features of the 'WSFAD Binding' class

Method Summary
`org.eclipse.emf.ecore.EClass` | `getANDFeatureConstraint()` Returns the meta object for class '`AND Feature Constraint`'
`org.eclipse.emf.ecore.EClass` | `getANDParamConstraint()` Returns the meta object for class '`AND Param Constraint`'
`org.eclipse.emf.ecore.EClass` | `getANDValueConstraint()` Returns the meta object for class '`AND Value Constraint`'
`org.eclipse.emf.ecore.EEnum` | `getAuthLevelEnum()` Returns the meta object for enum '`Auth Level Enum`'
`org.eclipse.emf.ecore.EReference` | `getBaseTypes_BaseTypes()` Returns the meta object for the containment reference list '`Base Types`'
`org.eclipse.emf.ecore.EClass` | `getBaseTypes()` Returns the meta object for class '`Base Types`'
`org.eclipse.emf.ecore.EEnum` | `getChannelSecurityLevelEnum()` Returns the meta object for enum '`Channel Security Level Enum`'
`org.eclipse.emf.ecore.EClass` | `getCompositeFeatureConstraint()` Returns the meta object for class '`Composite Feature Constraint`'
`org.eclipse.emf.ecore.EReference` | `getCompositeParamConstraint_Component()` Returns the meta object for the containment reference list '`Component`'
`org.eclipse.emf.ecore.EClass` | `getCompositeParamConstraint()` Returns the meta object for class '`Composite Param Constraint`'
`org.eclipse.emf.ecore.EReference` | `getCompositeValueConstraint_Component()` Returns the meta object for the containment reference list '`Component`'
`org.eclipse.emf.ecore.EClass` | `getCompositeValueConstraint()` Returns the meta object for class '`Composite Value Constraint`'
`org.eclipse.emf.ecore.EAttribute` | `getContinuousRangeConstraint_Lowerbound()` Returns the meta object for the attribute '`Lowerbound`'
`org.eclipse.emf.ecore.EAttribute` | `getContinuousRangeConstraint_Upperbound()` Returns the meta object for the attribute '`Upperbound`'
`org.eclipse.emf.ecore.EClass` | `getContinuousRangeConstraint()` Returns the meta object for class '`Continuous Range Constraint`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomConstraint_CheckMethodName()` Returns the meta object for the attribute '`Check Method Name`'
`org.eclipse.emf.ecore.EClass` | `getCustomConstraint()` Returns the meta object for class '`Custom Constraint`'
`org.eclipse.emf.ecore.EAttribute` | `getDiscreteRangeConstraint_Literals()` Returns the meta object for the attribute list '`Literals`'
`org.eclipse.emf.ecore.EClass` | `getDiscreteRangeConstraint()` Returns the meta object for class '`Discrete Range Constraint`'
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Service()` Returns the meta object for the containment reference list '`Service`'
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'
`org.eclipse.emf.ecore.EClass` | `getEJBPABinding()` Returns the meta object for class '`EJBPA Binding`'
`org.eclipse.emf.ecore.EClass` | `getFeatureConstraint()` Returns the meta object for class '`Feature Constraint`'
`org.eclipse.emf.ecore.EReference` | `getInputValidator_Constraint()` Returns the meta object for the containment reference '`Constraint`'
`org.eclipse.emf.ecore.EClass` | `getInputValidator()` Returns the meta object for class '`Input Validator`'
`org.eclipse.emf.ecore.EClass` | `getNOTFeatureConstraint()` Returns the meta object for class '`NOT Feature Constraint`'
`org.eclipse.emf.ecore.EClass` | `getNOTParamConstraint()` Returns the meta object for class '`NOT Param Constraint`'
`org.eclipse.emf.ecore.EClass` | `getNOTValueConstraint()` Returns the meta object for class '`NOT Value Constraint`'
`org.eclipse.emf.ecore.EReference` | `getOperation_AuthorizedRoles()` Returns the meta object for the reference list '`Authorized Roles`'
`org.eclipse.emf.ecore.EAttribute` | `getOperation_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` | `getOperation_OpType()` Returns the meta object for the attribute '`Op Type`'
`org.eclipse.emf.ecore.EReference` | `getOperation_Params()` Returns the meta object for the containment reference list '`Params`'
`org.eclipse.emf.ecore.EReference` | `getOperation_ReturnType()` Returns the meta object for the reference '`Return Type`'
`org.eclipse.emf.ecore.EAttribute` | `getOperation_Since()` Returns the meta object for the attribute '`Since`'
`org.eclipse.emf.ecore.EReference` | `getOperation_Throws()` Returns the meta object for the reference list '`Throws`'
`org.eclipse.emf.ecore.EAttribute` | `getOperation_TxType()` Returns the meta object for the attribute '`Tx Type`'
`org.eclipse.emf.ecore.EReference` | `getOperation_Validator()` Returns the meta object for the containment reference '`Validator`'
`org.eclipse.emf.ecore.EClass` | `getOperation()` Returns the meta object for class '`Operation`'
`org.eclipse.emf.ecore.EEnum` | `getOpTypeEnum()` Returns the meta object for enum '`Op Type Enum`'
`org.eclipse.emf.ecore.EClass` | `getORFeatureConstraint()` Returns the meta object for class '`OR Feature Constraint`'
`org.eclipse.emf.ecore.EClass` | `getORParamConstraint()` Returns the meta object for class '`OR Param Constraint`'
`org.eclipse.emf.ecore.EClass` | `getORValueConstraint()` Returns the meta object for class '`OR Value Constraint`'
`org.eclipse.emf.ecore.EReference` | `getParam_Constraint()` Returns the meta object for the reference '`Constraint`'
`org.eclipse.emf.ecore.EAttribute` | `getParam_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` | `getParam_Type()` Returns the meta object for the reference '`Type`'
`org.eclipse.emf.ecore.EReference` | `getParam_Validator()` Returns the meta object for the containment reference '`Validator`'
`org.eclipse.emf.ecore.EClass` | `getParam()` Returns the meta object for class '`Param`'
`org.eclipse.emf.ecore.EClass` | `getParamConstraint()` Returns the meta object for class '`Param Constraint`'
`org.eclipse.emf.ecore.EReference` | `getParamValidator_Constraint()` Returns the meta object for the containment reference '`Constraint`'
`org.eclipse.emf.ecore.EClass` | `getParamValidator()` Returns the meta object for class '`Param Validator`'
`org.eclipse.emf.ecore.EClass` | `getRelativeConstraint()` Returns the meta object for class '`Relative Constraint`'
`org.eclipse.emf.ecore.EAttribute` | `getRole_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` | `getRole()` Returns the meta object for class '`Role`'
`org.eclipse.emf.ecore.EAttribute` | `getSDAnnotationDetail_Key()` Returns the meta object for the attribute '`Key`'
`org.eclipse.emf.ecore.EAttribute` | `getSDAnnotationDetail_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` | `getSDAnnotationDetail()` Returns the meta object for class '`SD Annotation Detail`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceBinding_ChannelSecurityLevel()` Returns the meta object for the attribute '`Channel Security Level`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceBinding_CodBinding()` Returns the meta object for the attribute '`Cod Binding`'
`org.eclipse.emf.ecore.EClass` | `getServiceBinding()` Returns the meta object for class '`Service Binding`'
`org.eclipse.emf.ecore.EReference` | `getServiceDef_Annotations()` Returns the meta object for the containment reference list '`Annotations`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_AuthLevel()` Returns the meta object for the attribute '`Auth Level`'
`org.eclipse.emf.ecore.EReference` | `getServiceDef_Bindings()` Returns the meta object for the containment reference list '`Bindings`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_CodComponente()` Returns the meta object for the attribute '`Cod Componente`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_CodProdotto()` Returns the meta object for the attribute '`Cod Prodotto`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_CodServizio()` Returns the meta object for the attribute '`Cod Servizio`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_DiagEnabled()` Returns the meta object for the attribute '`Diag Enabled`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_Monitorable()` Returns the meta object for the attribute '`Monitorable`'
`org.eclipse.emf.ecore.EReference` | `getServiceDef_Operations()` Returns the meta object for the containment reference list '`Operations`'
`org.eclipse.emf.ecore.EReference` | `getServiceDef_Roles()` Returns the meta object for the containment reference list '`Roles`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_ServiceType()` Returns the meta object for the attribute '`Service Type`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_TraceEnabled()` Returns the meta object for the attribute '`Trace Enabled`'
`org.eclipse.emf.ecore.EReference` | `getServiceDef_Types()` Returns the meta object for the containment reference '`Types`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDef_Versione()` Returns the meta object for the attribute '`Versione`'
`org.eclipse.emf.ecore.EClass` | `getServiceDef()` Returns the meta object for class '`Service Def`'
`org.eclipse.emf.ecore.EReference` | `getServiceDefAnnotation_Details()` Returns the meta object for the containment reference list '`Details`'
`org.eclipse.emf.ecore.EAttribute` | `getServiceDefAnnotation_Source()` Returns the meta object for the attribute '`Source`'
`org.eclipse.emf.ecore.EClass` | `getServiceDefAnnotation()` Returns the meta object for class '`Service Def Annotation`'
`ServicedefFactory` | `getServicedefFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EReference` | `getSimpleFeatureConstraint_Constraint()` Returns the meta object for the containment reference '`Constraint`'
`org.eclipse.emf.ecore.EReference` | `getSimpleFeatureConstraint_Entity()` Returns the meta object for the reference '`Entity`'
`org.eclipse.emf.ecore.EReference` | `getSimpleFeatureConstraint_Feature()` Returns the meta object for the reference '`Feature`'
`org.eclipse.emf.ecore.EClass` | `getSimpleFeatureConstraint()` Returns the meta object for class '`Simple Feature Constraint`'
`org.eclipse.emf.ecore.EReference` | `getSimpleParamCoinstraint_Constraint()` Returns the meta object for the containment reference '`Constraint`'
`org.eclipse.emf.ecore.EReference` | `getSimpleParamCoinstraint_Param()` Returns the meta object for the reference '`Param`'
`org.eclipse.emf.ecore.EClass` | `getSimpleParamCoinstraint()` Returns the meta object for class '`Simple Param Coinstraint`'
`org.eclipse.emf.ecore.EClass` | `getSimpleValueConstraint()` Returns the meta object for class '`Simple Value Constraint`'
`org.eclipse.emf.ecore.EClass` | `getSOAPPABRBinding()` Returns the meta object for class '`SOAPPABR Binding`'
`org.eclipse.emf.ecore.EEnum` | `getSrvTypeEnum()` Returns the meta object for enum '`Srv Type Enum`'
`org.eclipse.emf.ecore.EEnum` | `getTXTypeEnum()` Returns the meta object for enum '`TX Type Enum`'
`org.eclipse.emf.ecore.EReference` | `getTypes_Types()` Returns the meta object for the containment reference list '`Types`'
`org.eclipse.emf.ecore.EClass` | `getTypes()` Returns the meta object for class '`Types`'
`org.eclipse.emf.ecore.EClass` | `getValueConstraint()` Returns the meta object for class '`Value Constraint`'
`org.eclipse.emf.ecore.EClass` | `getValueRangeConstraint()` Returns the meta object for class '`Value Range Constraint`'
`org.eclipse.emf.ecore.EAttribute` | `getValueValorizationConstraint_MustNotBeNull()` Returns the meta object for the attribute '`Must Not Be Null`'
`org.eclipse.emf.ecore.EClass` | `getValueValorizationConstraint()` Returns the meta object for class '`Value Valorization Constraint`'
`org.eclipse.emf.ecore.EReference` | `getWSBinding_Endpoints()` Returns the meta object for the containment reference list '`Endpoints`'
`org.eclipse.emf.ecore.EClass` | `getWSBinding()` Returns the meta object for class '`WS Binding`'
`org.eclipse.emf.ecore.EClass` | `getWSEncrypt()` Returns the meta object for class '`WS Encrypt`'
`org.eclipse.emf.ecore.EAttribute` | `getWSEndpoint_Code()` Returns the meta object for the attribute '`Code`'
`org.eclipse.emf.ecore.EReference` | `getWSEndpoint_InChannel()` Returns the meta object for the containment reference '`In Channel`'
`org.eclipse.emf.ecore.EReference` | `getWSEndpoint_OutChannel()` Returns the meta object for the containment reference '`Out Channel`'
`org.eclipse.emf.ecore.EClass` | `getWSEndpoint()` Returns the meta object for class '`WS Endpoint`'
`org.eclipse.emf.ecore.EReference` | `getWSEndpointChannel_WsSecurity()` Returns the meta object for the containment reference list '`Ws Security`'
`org.eclipse.emf.ecore.EClass` | `getWSEndpointChannel()` Returns the meta object for class '`WS Endpoint Channel`'
`org.eclipse.emf.ecore.EClass` | `getWSFADBinding()` Returns the meta object for class '`WSFAD Binding`'
`org.eclipse.emf.ecore.EClass` | `getWSSecuritySpec()` Returns the meta object for class '`WS Security Spec`'
`org.eclipse.emf.ecore.EClass` | `getWSSignature()` Returns the meta object for class '`WS Signature`'
`org.eclipse.emf.ecore.EClass` | `getWSTimestamp()` Returns the meta object for class '`WS Timestamp`'
`org.eclipse.emf.ecore.EClass` | `getWSUsernameTokenAuth()` Returns the meta object for class '`WS Username Token Auth`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ServicedefPackage eINSTANCE

  The singleton instance of the package.

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `ServicedefPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__SERVICE

    static final int DOCUMENT_ROOT__SERVICE

  The feature id for the 'Service' containment reference list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### SERVICE_DEF

    static final int SERVICE_DEF

  The meta object id for the '`Service Def`' class.

  See Also:
    `ServiceDefImpl`, `ServicedefPackageImpl.getServiceDef()`, Constant Field Values

### SERVICE_DEF__COD_SERVIZIO

    static final int SERVICE_DEF__COD_SERVIZIO

  The feature id for the 'Cod Servizio' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__BINDINGS

    static final int SERVICE_DEF__BINDINGS

  The feature id for the 'Bindings' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_DEF__MONITORABLE

    static final int SERVICE_DEF__MONITORABLE

  The feature id for the 'Monitorable' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__DIAG_ENABLED

    static final int SERVICE_DEF__DIAG_ENABLED

  The feature id for the 'Diag Enabled' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__OPERATIONS

    static final int SERVICE_DEF__OPERATIONS

  The feature id for the 'Operations' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_DEF__VERSIONE

    static final int SERVICE_DEF__VERSIONE

  The feature id for the 'Versione' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__TYPES

    static final int SERVICE_DEF__TYPES

  The feature id for the 'Types' containment reference.

  See Also:
    Constant Field Values

### SERVICE_DEF__TRACE_ENABLED

    static final int SERVICE_DEF__TRACE_ENABLED

  The feature id for the 'Trace Enabled' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__SERVICE_TYPE

    static final int SERVICE_DEF__SERVICE_TYPE

  The feature id for the 'Service Type' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__AUTH_LEVEL

    static final int SERVICE_DEF__AUTH_LEVEL

  The feature id for the 'Auth Level' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__ROLES

    static final int SERVICE_DEF__ROLES

  The feature id for the 'Roles' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_DEF__COD_PRODOTTO

    static final int SERVICE_DEF__COD_PRODOTTO

  The feature id for the 'Cod Prodotto' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__COD_COMPONENTE

    static final int SERVICE_DEF__COD_COMPONENTE

  The feature id for the 'Cod Componente' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF__ANNOTATIONS

    static final int SERVICE_DEF__ANNOTATIONS

  The feature id for the 'Annotations' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_DEF_FEATURE_COUNT

    static final int SERVICE_DEF_FEATURE_COUNT

  The number of structural features of the 'Service Def' class.

  See Also:
    Constant Field Values

### SERVICE_BINDING

    static final int SERVICE_BINDING

  The meta object id for the '`Service Binding`' class.

  See Also:
    `ServiceBindingImpl`, `ServicedefPackageImpl.getServiceBinding()`, Constant Field Values

### SERVICE_BINDING__COD_BINDING

    static final int SERVICE_BINDING__COD_BINDING

  The feature id for the 'Cod Binding' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING__CHANNEL_SECURITY_LEVEL

    static final int SERVICE_BINDING__CHANNEL_SECURITY_LEVEL

  The feature id for the 'Channel Security Level' attribute.

  See Also:
    Constant Field Values

### SERVICE_BINDING_FEATURE_COUNT

    static final int SERVICE_BINDING_FEATURE_COUNT

  The number of structural features of the 'Service Binding' class.

  See Also:
    Constant Field Values

### EJBPA_BINDING

    static final int EJBPA_BINDING

  The meta object id for the '`EJBPA Binding`' class.

  See Also:
    `EJBPABindingImpl`, `ServicedefPackageImpl.getEJBPABinding()`, Constant Field Values

### EJBPA_BINDING__COD_BINDING

    static final int EJBPA_BINDING__COD_BINDING

  The feature id for the 'Cod Binding' attribute.

  See Also:
    Constant Field Values

### EJBPA_BINDING__CHANNEL_SECURITY_LEVEL

    static final int EJBPA_BINDING__CHANNEL_SECURITY_LEVEL

  The feature id for the 'Channel Security Level' attribute.

  See Also:
    Constant Field Values

### EJBPA_BINDING_FEATURE_COUNT

    static final int EJBPA_BINDING_FEATURE_COUNT

  The number of structural features of the 'EJBPA Binding' class.

  See Also:
    Constant Field Values

### SOAPPABR_BINDING

    static final int SOAPPABR_BINDING

  The meta object id for the '`SOAPPABR Binding`' class.

  See Also:
    `SOAPPABRBindingImpl`, `ServicedefPackageImpl.getSOAPPABRBinding()`, Constant Field Values

### SOAPPABR_BINDING__COD_BINDING

    static final int SOAPPABR_BINDING__COD_BINDING

  The feature id for the 'Cod Binding' attribute.

  See Also:
    Constant Field Values

### SOAPPABR_BINDING__CHANNEL_SECURITY_LEVEL

    static final int SOAPPABR_BINDING__CHANNEL_SECURITY_LEVEL

  The feature id for the 'Channel Security Level' attribute.

  See Also:
    Constant Field Values

### SOAPPABR_BINDING_FEATURE_COUNT

    static final int SOAPPABR_BINDING_FEATURE_COUNT

  The number of structural features of the 'SOAPPABR Binding' class.

  See Also:
    Constant Field Values

### WSFAD_BINDING

    static final int WSFAD_BINDING

  The meta object id for the '`WSFAD Binding`' class.

  See Also:
    `WSFADBindingImpl`, `ServicedefPackageImpl.getWSFADBinding()`, Constant Field Values

### WSFAD_BINDING__COD_BINDING

    static final int WSFAD_BINDING__COD_BINDING

  The feature id for the 'Cod Binding' attribute.

  See Also:
    Constant Field Values

### WSFAD_BINDING__CHANNEL_SECURITY_LEVEL

    static final int WSFAD_BINDING__CHANNEL_SECURITY_LEVEL

  The feature id for the 'Channel Security Level' attribute.

  See Also:
    Constant Field Values

### WSFAD_BINDING_FEATURE_COUNT

    static final int WSFAD_BINDING_FEATURE_COUNT

  The number of structural features of the 'WSFAD Binding' class.

  See Also:
    Constant Field Values

### WS_BINDING

    static final int WS_BINDING

  The meta object id for the '`WS Binding`' class.

  See Also:
    `WSBindingImpl`, `ServicedefPackageImpl.getWSBinding()`, Constant Field Values

### WS_BINDING__COD_BINDING

    static final int WS_BINDING__COD_BINDING

  The feature id for the 'Cod Binding' attribute.

  See Also:
    Constant Field Values

### WS_BINDING__CHANNEL_SECURITY_LEVEL

    static final int WS_BINDING__CHANNEL_SECURITY_LEVEL

  The feature id for the 'Channel Security Level' attribute.

  See Also:
    Constant Field Values

### WS_BINDING__ENDPOINTS

    static final int WS_BINDING__ENDPOINTS

  The feature id for the 'Endpoints' containment reference list.

  See Also:
    Constant Field Values

### WS_BINDING_FEATURE_COUNT

    static final int WS_BINDING_FEATURE_COUNT

  The number of structural features of the 'WS Binding' class.

  See Also:
    Constant Field Values

### OPERATION

    static final int OPERATION

  The meta object id for the '`Operation`' class.

  See Also:
    `OperationImpl`, `ServicedefPackageImpl.getOperation()`, Constant Field Values

### OPERATION__NAME

    static final int OPERATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### OPERATION__PARAMS

    static final int OPERATION__PARAMS

  The feature id for the 'Params' containment reference list.

  See Also:
    Constant Field Values

### OPERATION__OP_TYPE

    static final int OPERATION__OP_TYPE

  The feature id for the 'Op Type' attribute.

  See Also:
    Constant Field Values

### OPERATION__RETURN_TYPE

    static final int OPERATION__RETURN_TYPE

  The feature id for the 'Return Type' reference.

  See Also:
    Constant Field Values

### OPERATION__THROWS

    static final int OPERATION__THROWS

  The feature id for the 'Throws' reference list.

  See Also:
    Constant Field Values

### OPERATION__TX_TYPE

    static final int OPERATION__TX_TYPE

  The feature id for the 'Tx Type' attribute.

  See Also:
    Constant Field Values

### OPERATION__SINCE

    static final int OPERATION__SINCE

  The feature id for the 'Since' attribute.

  See Also:
    Constant Field Values

### OPERATION__AUTHORIZED_ROLES

    static final int OPERATION__AUTHORIZED_ROLES

  The feature id for the 'Authorized Roles' reference list.

  See Also:
    Constant Field Values

### OPERATION__VALIDATOR

    static final int OPERATION__VALIDATOR

  The feature id for the 'Validator' containment reference.

  See Also:
    Constant Field Values

### OPERATION_FEATURE_COUNT

    static final int OPERATION_FEATURE_COUNT

  The number of structural features of the 'Operation' class.

  See Also:
    Constant Field Values

### PARAM

    static final int PARAM

  The meta object id for the '`Param`' class.

  See Also:
    `ParamImpl`, `ServicedefPackageImpl.getParam()`, Constant Field Values

### PARAM__NAME

    static final int PARAM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PARAM__TYPE

    static final int PARAM__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### PARAM__VALIDATOR

    static final int PARAM__VALIDATOR

  The feature id for the 'Validator' containment reference.

  See Also:
    Constant Field Values

### PARAM__CONSTRAINT

    static final int PARAM__CONSTRAINT

  The feature id for the 'Constraint' reference.

  See Also:
    Constant Field Values

### PARAM_FEATURE_COUNT

    static final int PARAM_FEATURE_COUNT

  The number of structural features of the 'Param' class.

  See Also:
    Constant Field Values

### TYPES

    static final int TYPES

  The meta object id for the '`Types`' class.

  See Also:
    `TypesImpl`, `ServicedefPackageImpl.getTypes()`, Constant Field Values

### TYPES__TYPES

    static final int TYPES__TYPES

  The feature id for the 'Types' containment reference list.

  See Also:
    Constant Field Values

### TYPES_FEATURE_COUNT

    static final int TYPES_FEATURE_COUNT

  The number of structural features of the 'Types' class.

  See Also:
    Constant Field Values

### BASE_TYPES

    static final int BASE_TYPES

  The meta object id for the '`Base Types`' class.

  See Also:
    `BaseTypesImpl`, `ServicedefPackageImpl.getBaseTypes()`, Constant Field Values

### BASE_TYPES__BASE_TYPES

    static final int BASE_TYPES__BASE_TYPES

  The feature id for the 'Base Types' containment reference list.

  See Also:
    Constant Field Values

### BASE_TYPES_FEATURE_COUNT

    static final int BASE_TYPES_FEATURE_COUNT

  The number of structural features of the 'Base Types' class.

  See Also:
    Constant Field Values

### ROLE

    static final int ROLE

  The meta object id for the '`Role`' class.

  See Also:
    `RoleImpl`, `ServicedefPackageImpl.getRole()`, Constant Field Values

### ROLE__NAME

    static final int ROLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ROLE_FEATURE_COUNT

    static final int ROLE_FEATURE_COUNT

  The number of structural features of the 'Role' class.

  See Also:
    Constant Field Values

### INPUT_VALIDATOR

    static final int INPUT_VALIDATOR

  The meta object id for the '`Input Validator`' class.

  See Also:
    `InputValidatorImpl`, `ServicedefPackageImpl.getInputValidator()`, Constant Field Values

### INPUT_VALIDATOR__CONSTRAINT

    static final int INPUT_VALIDATOR__CONSTRAINT

  The feature id for the 'Constraint' containment reference.

  See Also:
    Constant Field Values

### INPUT_VALIDATOR_FEATURE_COUNT

    static final int INPUT_VALIDATOR_FEATURE_COUNT

  The number of structural features of the 'Input Validator' class.

  See Also:
    Constant Field Values

### PARAM_VALIDATOR

    static final int PARAM_VALIDATOR

  The meta object id for the '`Param Validator`' class.

  See Also:
    `ParamValidatorImpl`, `ServicedefPackageImpl.getParamValidator()`, Constant Field Values

### PARAM_VALIDATOR__CONSTRAINT

    static final int PARAM_VALIDATOR__CONSTRAINT

  The feature id for the 'Constraint' containment reference.

  See Also:
    Constant Field Values

### PARAM_VALIDATOR_FEATURE_COUNT

    static final int PARAM_VALIDATOR_FEATURE_COUNT

  The number of structural features of the 'Param Validator' class.

  See Also:
    Constant Field Values

### VALUE_CONSTRAINT

    static final int VALUE_CONSTRAINT

  The meta object id for the '`Value Constraint`' class.

  See Also:
    `ValueConstraintImpl`, `ServicedefPackageImpl.getValueConstraint()`, Constant Field Values

### VALUE_CONSTRAINT_FEATURE_COUNT

    static final int VALUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Value Constraint' class.

  See Also:
    Constant Field Values

### SIMPLE_VALUE_CONSTRAINT

    static final int SIMPLE_VALUE_CONSTRAINT

  The meta object id for the '`Simple Value Constraint`' class.

  See Also:
    `SimpleValueConstraintImpl`, `ServicedefPackageImpl.getSimpleValueConstraint()`, Constant Field Values

### SIMPLE_VALUE_CONSTRAINT_FEATURE_COUNT

    static final int SIMPLE_VALUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Simple Value Constraint' class.

  See Also:
    Constant Field Values

### VALUE_RANGE_CONSTRAINT

    static final int VALUE_RANGE_CONSTRAINT

  The meta object id for the '`Value Range Constraint`' class.

  See Also:
    `ValueRangeConstraintImpl`, `ServicedefPackageImpl.getValueRangeConstraint()`, Constant Field Values

### VALUE_RANGE_CONSTRAINT_FEATURE_COUNT

    static final int VALUE_RANGE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Value Range Constraint' class.

  See Also:
    Constant Field Values

### VALUE_VALORIZATION_CONSTRAINT

    static final int VALUE_VALORIZATION_CONSTRAINT

  The meta object id for the '`Value Valorization Constraint`' class.

  See Also:
    `ValueValorizationConstraintImpl`, `ServicedefPackageImpl.getValueValorizationConstraint()`, Constant Field Values

### VALUE_VALORIZATION_CONSTRAINT__MUST_NOT_BE_NULL

    static final int VALUE_VALORIZATION_CONSTRAINT__MUST_NOT_BE_NULL

  The feature id for the 'Must Not Be Null' attribute.

  See Also:
    Constant Field Values

### VALUE_VALORIZATION_CONSTRAINT_FEATURE_COUNT

    static final int VALUE_VALORIZATION_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Value Valorization Constraint' class.

  See Also:
    Constant Field Values

### CUSTOM_CONSTRAINT

    static final int CUSTOM_CONSTRAINT

  The meta object id for the '`Custom Constraint`' class.

  See Also:
    `CustomConstraintImpl`, `ServicedefPackageImpl.getCustomConstraint()`, Constant Field Values

### CUSTOM_CONSTRAINT__CHECK_METHOD_NAME

    static final int CUSTOM_CONSTRAINT__CHECK_METHOD_NAME

  The feature id for the 'Check Method Name' attribute.

  See Also:
    Constant Field Values

### CUSTOM_CONSTRAINT_FEATURE_COUNT

    static final int CUSTOM_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Custom Constraint' class.

  See Also:
    Constant Field Values

### RELATIVE_CONSTRAINT

    static final int RELATIVE_CONSTRAINT

  The meta object id for the '`Relative Constraint`' class.

  See Also:
    `RelativeConstraintImpl`, `ServicedefPackageImpl.getRelativeConstraint()`, Constant Field Values

### RELATIVE_CONSTRAINT_FEATURE_COUNT

    static final int RELATIVE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Relative Constraint' class.

  See Also:
    Constant Field Values

### PARAM_CONSTRAINT

    static final int PARAM_CONSTRAINT

  The meta object id for the '`Param Constraint`' class.

  See Also:
    `ParamConstraintImpl`, `ServicedefPackageImpl.getParamConstraint()`, Constant Field Values

### PARAM_CONSTRAINT_FEATURE_COUNT

    static final int PARAM_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Param Constraint' class.

  See Also:
    Constant Field Values

### SIMPLE_PARAM_COINSTRAINT

    static final int SIMPLE_PARAM_COINSTRAINT

  The meta object id for the '`Simple Param Coinstraint`' class.

  See Also:
    `SimpleParamCoinstraintImpl`, `ServicedefPackageImpl.getSimpleParamCoinstraint()`, Constant Field Values

### SIMPLE_PARAM_COINSTRAINT__PARAM

    static final int SIMPLE_PARAM_COINSTRAINT__PARAM

  The feature id for the 'Param' reference.

  See Also:
    Constant Field Values

### SIMPLE_PARAM_COINSTRAINT__CONSTRAINT

    static final int SIMPLE_PARAM_COINSTRAINT__CONSTRAINT

  The feature id for the 'Constraint' containment reference.

  See Also:
    Constant Field Values

### SIMPLE_PARAM_COINSTRAINT_FEATURE_COUNT

    static final int SIMPLE_PARAM_COINSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Simple Param Coinstraint' class.

  See Also:
    Constant Field Values

### COMPOSITE_PARAM_CONSTRAINT

    static final int COMPOSITE_PARAM_CONSTRAINT

  The meta object id for the '`Composite Param Constraint`' class.

  See Also:
    `CompositeParamConstraintImpl`, `ServicedefPackageImpl.getCompositeParamConstraint()`, Constant Field Values

### COMPOSITE_PARAM_CONSTRAINT__COMPONENT

    static final int COMPOSITE_PARAM_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### COMPOSITE_PARAM_CONSTRAINT_FEATURE_COUNT

    static final int COMPOSITE_PARAM_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Composite Param Constraint' class.

  See Also:
    Constant Field Values

### AND_PARAM_CONSTRAINT

    static final int AND_PARAM_CONSTRAINT

  The meta object id for the '`AND Param Constraint`' class.

  See Also:
    `ANDParamConstraintImpl`, `ServicedefPackageImpl.getANDParamConstraint()`, Constant Field Values

### AND_PARAM_CONSTRAINT__COMPONENT

    static final int AND_PARAM_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### AND_PARAM_CONSTRAINT_FEATURE_COUNT

    static final int AND_PARAM_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'AND Param Constraint' class.

  See Also:
    Constant Field Values

### OR_PARAM_CONSTRAINT

    static final int OR_PARAM_CONSTRAINT

  The meta object id for the '`OR Param Constraint`' class.

  See Also:
    `ORParamConstraintImpl`, `ServicedefPackageImpl.getORParamConstraint()`, Constant Field Values

### OR_PARAM_CONSTRAINT__COMPONENT

    static final int OR_PARAM_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### OR_PARAM_CONSTRAINT_FEATURE_COUNT

    static final int OR_PARAM_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'OR Param Constraint' class.

  See Also:
    Constant Field Values

### NOT_PARAM_CONSTRAINT

    static final int NOT_PARAM_CONSTRAINT

  The meta object id for the '`NOT Param Constraint`' class.

  See Also:
    `NOTParamConstraintImpl`, `ServicedefPackageImpl.getNOTParamConstraint()`, Constant Field Values

### NOT_PARAM_CONSTRAINT__COMPONENT

    static final int NOT_PARAM_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### NOT_PARAM_CONSTRAINT_FEATURE_COUNT

    static final int NOT_PARAM_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'NOT Param Constraint' class.

  See Also:
    Constant Field Values

### COMPOSITE_VALUE_CONSTRAINT

    static final int COMPOSITE_VALUE_CONSTRAINT

  The meta object id for the '`Composite Value Constraint`' class.

  See Also:
    `CompositeValueConstraintImpl`, `ServicedefPackageImpl.getCompositeValueConstraint()`, Constant Field Values

### COMPOSITE_VALUE_CONSTRAINT__COMPONENT

    static final int COMPOSITE_VALUE_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### COMPOSITE_VALUE_CONSTRAINT_FEATURE_COUNT

    static final int COMPOSITE_VALUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Composite Value Constraint' class.

  See Also:
    Constant Field Values

### AND_VALUE_CONSTRAINT

    static final int AND_VALUE_CONSTRAINT

  The meta object id for the '`AND Value Constraint`' class.

  See Also:
    `ANDValueConstraintImpl`, `ServicedefPackageImpl.getANDValueConstraint()`, Constant Field Values

### AND_VALUE_CONSTRAINT__COMPONENT

    static final int AND_VALUE_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### AND_VALUE_CONSTRAINT_FEATURE_COUNT

    static final int AND_VALUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'AND Value Constraint' class.

  See Also:
    Constant Field Values

### OR_VALUE_CONSTRAINT

    static final int OR_VALUE_CONSTRAINT

  The meta object id for the '`OR Value Constraint`' class.

  See Also:
    `ORValueConstraintImpl`, `ServicedefPackageImpl.getORValueConstraint()`, Constant Field Values

### OR_VALUE_CONSTRAINT__COMPONENT

    static final int OR_VALUE_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### OR_VALUE_CONSTRAINT_FEATURE_COUNT

    static final int OR_VALUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'OR Value Constraint' class.

  See Also:
    Constant Field Values

### NOT_VALUE_CONSTRAINT

    static final int NOT_VALUE_CONSTRAINT

  The meta object id for the '`NOT Value Constraint`' class.

  See Also:
    `NOTValueConstraintImpl`, `ServicedefPackageImpl.getNOTValueConstraint()`, Constant Field Values

### NOT_VALUE_CONSTRAINT__COMPONENT

    static final int NOT_VALUE_CONSTRAINT__COMPONENT

  The feature id for the 'Component' containment reference list.

  See Also:
    Constant Field Values

### NOT_VALUE_CONSTRAINT_FEATURE_COUNT

    static final int NOT_VALUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'NOT Value Constraint' class.

  See Also:
    Constant Field Values

### CONTINUOUS_RANGE_CONSTRAINT

    static final int CONTINUOUS_RANGE_CONSTRAINT

  The meta object id for the '`Continuous Range Constraint`' class.

  See Also:
    `ContinuousRangeConstraintImpl`, `ServicedefPackageImpl.getContinuousRangeConstraint()`, Constant Field Values

### CONTINUOUS_RANGE_CONSTRAINT__LOWERBOUND

    static final int CONTINUOUS_RANGE_CONSTRAINT__LOWERBOUND

  The feature id for the 'Lowerbound' attribute.

  See Also:
    Constant Field Values

### CONTINUOUS_RANGE_CONSTRAINT__UPPERBOUND

    static final int CONTINUOUS_RANGE_CONSTRAINT__UPPERBOUND

  The feature id for the 'Upperbound' attribute.

  See Also:
    Constant Field Values

### CONTINUOUS_RANGE_CONSTRAINT_FEATURE_COUNT

    static final int CONTINUOUS_RANGE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Continuous Range Constraint' class.

  See Also:
    Constant Field Values

### DISCRETE_RANGE_CONSTRAINT

    static final int DISCRETE_RANGE_CONSTRAINT

  The meta object id for the '`Discrete Range Constraint`' class.

  See Also:
    `DiscreteRangeConstraintImpl`, `ServicedefPackageImpl.getDiscreteRangeConstraint()`, Constant Field Values

### DISCRETE_RANGE_CONSTRAINT__LITERALS

    static final int DISCRETE_RANGE_CONSTRAINT__LITERALS

  The feature id for the 'Literals' attribute list.

  See Also:
    Constant Field Values

### DISCRETE_RANGE_CONSTRAINT_FEATURE_COUNT

    static final int DISCRETE_RANGE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Discrete Range Constraint' class.

  See Also:
    Constant Field Values

### FEATURE_CONSTRAINT

    static final int FEATURE_CONSTRAINT

  The meta object id for the '`Feature Constraint`' class.

  See Also:
    `FeatureConstraintImpl`, `ServicedefPackageImpl.getFeatureConstraint()`, Constant Field Values

### FEATURE_CONSTRAINT_FEATURE_COUNT

    static final int FEATURE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Feature Constraint' class.

  See Also:
    Constant Field Values

### COMPOSITE_FEATURE_CONSTRAINT

    static final int COMPOSITE_FEATURE_CONSTRAINT

  The meta object id for the '`Composite Feature Constraint`' class.

  See Also:
    `CompositeFeatureConstraintImpl`, `ServicedefPackageImpl.getCompositeFeatureConstraint()`, Constant Field Values

### COMPOSITE_FEATURE_CONSTRAINT_FEATURE_COUNT

    static final int COMPOSITE_FEATURE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Composite Feature Constraint' class.

  See Also:
    Constant Field Values

### SIMPLE_FEATURE_CONSTRAINT

    static final int SIMPLE_FEATURE_CONSTRAINT

  The meta object id for the '`Simple Feature Constraint`' class.

  See Also:
    `SimpleFeatureConstraintImpl`, `ServicedefPackageImpl.getSimpleFeatureConstraint()`, Constant Field Values

### SIMPLE_FEATURE_CONSTRAINT__CONSTRAINT

    static final int SIMPLE_FEATURE_CONSTRAINT__CONSTRAINT

  The feature id for the 'Constraint' containment reference.

  See Also:
    Constant Field Values

### SIMPLE_FEATURE_CONSTRAINT__ENTITY

    static final int SIMPLE_FEATURE_CONSTRAINT__ENTITY

  The feature id for the 'Entity' reference.

  See Also:
    Constant Field Values

### SIMPLE_FEATURE_CONSTRAINT__FEATURE

    static final int SIMPLE_FEATURE_CONSTRAINT__FEATURE

  The feature id for the 'Feature' reference.

  See Also:
    Constant Field Values

### SIMPLE_FEATURE_CONSTRAINT_FEATURE_COUNT

    static final int SIMPLE_FEATURE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Simple Feature Constraint' class.

  See Also:
    Constant Field Values

### AND_FEATURE_CONSTRAINT

    static final int AND_FEATURE_CONSTRAINT

  The meta object id for the '`AND Feature Constraint`' class.

  See Also:
    `ANDFeatureConstraintImpl`, `ServicedefPackageImpl.getANDFeatureConstraint()`, Constant Field Values

### AND_FEATURE_CONSTRAINT_FEATURE_COUNT

    static final int AND_FEATURE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'AND Feature Constraint' class.

  See Also:
    Constant Field Values

### OR_FEATURE_CONSTRAINT

    static final int OR_FEATURE_CONSTRAINT

  The meta object id for the '`OR Feature Constraint`' class.

  See Also:
    `ORFeatureConstraintImpl`, `ServicedefPackageImpl.getORFeatureConstraint()`, Constant Field Values

### OR_FEATURE_CONSTRAINT_FEATURE_COUNT

    static final int OR_FEATURE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'OR Feature Constraint' class.

  See Also:
    Constant Field Values

### NOT_FEATURE_CONSTRAINT

    static final int NOT_FEATURE_CONSTRAINT

  The meta object id for the '`NOT Feature Constraint`' class.

  See Also:
    `NOTFeatureConstraintImpl`, `ServicedefPackageImpl.getNOTFeatureConstraint()`, Constant Field Values

### NOT_FEATURE_CONSTRAINT_FEATURE_COUNT

    static final int NOT_FEATURE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'NOT Feature Constraint' class.

  See Also:
    Constant Field Values

### SERVICE_DEF_ANNOTATION

    static final int SERVICE_DEF_ANNOTATION

  The meta object id for the '`Service Def Annotation`' class.

  See Also:
    `ServiceDefAnnotationImpl`, `ServicedefPackageImpl.getServiceDefAnnotation()`, Constant Field Values

### SERVICE_DEF_ANNOTATION__SOURCE

    static final int SERVICE_DEF_ANNOTATION__SOURCE

  The feature id for the 'Source' attribute.

  See Also:
    Constant Field Values

### SERVICE_DEF_ANNOTATION__DETAILS

    static final int SERVICE_DEF_ANNOTATION__DETAILS

  The feature id for the 'Details' containment reference list.

  See Also:
    Constant Field Values

### SERVICE_DEF_ANNOTATION_FEATURE_COUNT

    static final int SERVICE_DEF_ANNOTATION_FEATURE_COUNT

  The number of structural features of the 'Service Def Annotation' class.

  See Also:
    Constant Field Values

### SD_ANNOTATION_DETAIL

    static final int SD_ANNOTATION_DETAIL

  The meta object id for the '`SD Annotation Detail`' class.

  See Also:
    `SDAnnotationDetailImpl`, `ServicedefPackageImpl.getSDAnnotationDetail()`, Constant Field Values

### SD_ANNOTATION_DETAIL__KEY

    static final int SD_ANNOTATION_DETAIL__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values

### SD_ANNOTATION_DETAIL__VALUE

    static final int SD_ANNOTATION_DETAIL__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### SD_ANNOTATION_DETAIL_FEATURE_COUNT

    static final int SD_ANNOTATION_DETAIL_FEATURE_COUNT

  The number of structural features of the 'SD Annotation Detail' class.

  See Also:
    Constant Field Values

### WS_ENDPOINT

    static final int WS_ENDPOINT

  The meta object id for the '`WS Endpoint`' class.

  See Also:
    `WSEndpointImpl`, `ServicedefPackageImpl.getWSEndpoint()`, Constant Field Values

### WS_ENDPOINT__CODE

    static final int WS_ENDPOINT__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### WS_ENDPOINT__IN_CHANNEL

    static final int WS_ENDPOINT__IN_CHANNEL

  The feature id for the 'In Channel' containment reference.

  See Also:
    Constant Field Values

### WS_ENDPOINT__OUT_CHANNEL

    static final int WS_ENDPOINT__OUT_CHANNEL

  The feature id for the 'Out Channel' containment reference.

  See Also:
    Constant Field Values

### WS_ENDPOINT_FEATURE_COUNT

    static final int WS_ENDPOINT_FEATURE_COUNT

  The number of structural features of the 'WS Endpoint' class.

  See Also:
    Constant Field Values

### WS_SECURITY_SPEC

    static final int WS_SECURITY_SPEC

  The meta object id for the '`WS Security Spec`' class.

  See Also:
    `WSSecuritySpecImpl`, `ServicedefPackageImpl.getWSSecuritySpec()`, Constant Field Values

### WS_SECURITY_SPEC_FEATURE_COUNT

    static final int WS_SECURITY_SPEC_FEATURE_COUNT

  The number of structural features of the 'WS Security Spec' class.

  See Also:
    Constant Field Values

### WS_USERNAME_TOKEN_AUTH

    static final int WS_USERNAME_TOKEN_AUTH

  The meta object id for the '`WS Username Token Auth`' class.

  See Also:
    `WSUsernameTokenAuthImpl`, `ServicedefPackageImpl.getWSUsernameTokenAuth()`, Constant Field Values

### WS_USERNAME_TOKEN_AUTH_FEATURE_COUNT

    static final int WS_USERNAME_TOKEN_AUTH_FEATURE_COUNT

  The number of structural features of the 'WS Username Token Auth' class.

  See Also:
    Constant Field Values

### WS_SIGNATURE

    static final int WS_SIGNATURE

  The meta object id for the '`WS Signature`' class.

  See Also:
    `WSSignatureImpl`, `ServicedefPackageImpl.getWSSignature()`, Constant Field Values

### WS_SIGNATURE_FEATURE_COUNT

    static final int WS_SIGNATURE_FEATURE_COUNT

  The number of structural features of the 'WS Signature' class.

  See Also:
    Constant Field Values

### WS_TIMESTAMP

    static final int WS_TIMESTAMP

  The meta object id for the '`WS Timestamp`' class.

  See Also:
    `WSTimestampImpl`, `ServicedefPackageImpl.getWSTimestamp()`, Constant Field Values

### WS_TIMESTAMP_FEATURE_COUNT

    static final int WS_TIMESTAMP_FEATURE_COUNT

  The number of structural features of the 'WS Timestamp' class.

  See Also:
    Constant Field Values

### WS_ENCRYPT

    static final int WS_ENCRYPT

  The meta object id for the '`WS Encrypt`' class.

  See Also:
    `WSEncryptImpl`, `ServicedefPackageImpl.getWSEncrypt()`, Constant Field Values

### WS_ENCRYPT_FEATURE_COUNT

    static final int WS_ENCRYPT_FEATURE_COUNT

  The number of structural features of the 'WS Encrypt' class.

  See Also:
    Constant Field Values

### WS_ENDPOINT_CHANNEL

    static final int WS_ENDPOINT_CHANNEL

  The meta object id for the '`WS Endpoint Channel`' class.

  See Also:
    `WSEndpointChannelImpl`, `ServicedefPackageImpl.getWSEndpointChannel()`, Constant Field Values

### WS_ENDPOINT_CHANNEL__WS_SECURITY

    static final int WS_ENDPOINT_CHANNEL__WS_SECURITY

  The feature id for the 'Ws Security' containment reference list.

  See Also:
    Constant Field Values

### WS_ENDPOINT_CHANNEL_FEATURE_COUNT

    static final int WS_ENDPOINT_CHANNEL_FEATURE_COUNT

  The number of structural features of the 'WS Endpoint Channel' class.

  See Also:
    Constant Field Values

### CHANNEL_SECURITY_LEVEL_ENUM

    static final int CHANNEL_SECURITY_LEVEL_ENUM

  The meta object id for the '`Channel Security Level Enum`' enum.

  See Also:
    `ChannelSecurityLevelEnum`, `ServicedefPackageImpl.getChannelSecurityLevelEnum()`, Constant Field Values

### OP_TYPE_ENUM

    static final int OP_TYPE_ENUM

  The meta object id for the '`Op Type Enum`' enum.

  See Also:
    `OpTypeEnum`, `ServicedefPackageImpl.getOpTypeEnum()`, Constant Field Values

### TX_TYPE_ENUM

    static final int TX_TYPE_ENUM

  The meta object id for the '`TX Type Enum`' enum.

  See Also:
    `TXTypeEnum`, `ServicedefPackageImpl.getTXTypeEnum()`, Constant Field Values

### SRV_TYPE_ENUM

    static final int SRV_TYPE_ENUM

  The meta object id for the '`Srv Type Enum`' enum.

  See Also:
    `SrvTypeEnum`, `ServicedefPackageImpl.getSrvTypeEnum()`, Constant Field Values

### AUTH_LEVEL_ENUM

    static final int AUTH_LEVEL_ENUM

  The meta object id for the '`Auth Level Enum`' enum.

  See Also:
    `AuthLevelEnum`, `ServicedefPackageImpl.getAuthLevelEnum()`, Constant Field Values

Method Detail

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Service

    org.eclipse.emf.ecore.EReference getDocumentRoot_Service()

  Returns the meta object for the containment reference list '`Service`'.

  Returns:
    the meta object for the containment reference list 'Service'.
  See Also:
    `DocumentRoot.getService()`, `getDocumentRoot()`

### getServiceDef

    org.eclipse.emf.ecore.EClass getServiceDef()

  Returns the meta object for class '`Service Def`'.

  Returns:
    the meta object for class 'Service Def'.
  See Also:
    `ServiceDef`

### getServiceDef_CodServizio

    org.eclipse.emf.ecore.EAttribute getServiceDef_CodServizio()

  Returns the meta object for the attribute '`Cod Servizio`'.

  Returns:
    the meta object for the attribute 'Cod Servizio'.
  See Also:
    `ServiceDef.getCodServizio()`, `getServiceDef()`

### getServiceDef_Bindings

    org.eclipse.emf.ecore.EReference getServiceDef_Bindings()

  Returns the meta object for the containment reference list '`Bindings`'.

  Returns:
    the meta object for the containment reference list 'Bindings'.
  See Also:
    `ServiceDef.getBindings()`, `getServiceDef()`

### getServiceDef_Monitorable

    org.eclipse.emf.ecore.EAttribute getServiceDef_Monitorable()

  Returns the meta object for the attribute '`Monitorable`'.

  Returns:
    the meta object for the attribute 'Monitorable'.
  See Also:
    `ServiceDef.isMonitorable()`, `getServiceDef()`

### getServiceDef_DiagEnabled

    org.eclipse.emf.ecore.EAttribute getServiceDef_DiagEnabled()

  Returns the meta object for the attribute '`Diag Enabled`'.

  Returns:
    the meta object for the attribute 'Diag Enabled'.
  See Also:
    `ServiceDef.isDiagEnabled()`, `getServiceDef()`

### getServiceDef_Operations

    org.eclipse.emf.ecore.EReference getServiceDef_Operations()

  Returns the meta object for the containment reference list '`Operations`'.

  Returns:
    the meta object for the containment reference list 'Operations'.
  See Also:
    `ServiceDef.getOperations()`, `getServiceDef()`

### getServiceDef_Versione

    org.eclipse.emf.ecore.EAttribute getServiceDef_Versione()

  Returns the meta object for the attribute '`Versione`'.

  Returns:
    the meta object for the attribute 'Versione'.
  See Also:
    `ServiceDef.getVersione()`, `getServiceDef()`

### getServiceDef_Types

    org.eclipse.emf.ecore.EReference getServiceDef_Types()

  Returns the meta object for the containment reference '`Types`'.

  Returns:
    the meta object for the containment reference 'Types'.
  See Also:
    `ServiceDef.getTypes()`, `getServiceDef()`

### getServiceDef_TraceEnabled

    org.eclipse.emf.ecore.EAttribute getServiceDef_TraceEnabled()

  Returns the meta object for the attribute '`Trace Enabled`'.

  Returns:
    the meta object for the attribute 'Trace Enabled'.
  See Also:
    `ServiceDef.isTraceEnabled()`, `getServiceDef()`

### getServiceDef_ServiceType

    org.eclipse.emf.ecore.EAttribute getServiceDef_ServiceType()

  Returns the meta object for the attribute '`Service Type`'.

  Returns:
    the meta object for the attribute 'Service Type'.
  See Also:
    `ServiceDef.getServiceType()`, `getServiceDef()`

### getServiceDef_AuthLevel

    org.eclipse.emf.ecore.EAttribute getServiceDef_AuthLevel()

  Returns the meta object for the attribute '`Auth Level`'.

  Returns:
    the meta object for the attribute 'Auth Level'.
  See Also:
    `ServiceDef.getAuthLevel()`, `getServiceDef()`

### getServiceDef_Roles

    org.eclipse.emf.ecore.EReference getServiceDef_Roles()

  Returns the meta object for the containment reference list '`Roles`'.

  Returns:
    the meta object for the containment reference list 'Roles'.
  See Also:
    `ServiceDef.getRoles()`, `getServiceDef()`

### getServiceDef_CodProdotto

    org.eclipse.emf.ecore.EAttribute getServiceDef_CodProdotto()

  Returns the meta object for the attribute '`Cod Prodotto`'.

  Returns:
    the meta object for the attribute 'Cod Prodotto'.
  See Also:
    `ServiceDef.getCodProdotto()`, `getServiceDef()`

### getServiceDef_CodComponente

    org.eclipse.emf.ecore.EAttribute getServiceDef_CodComponente()

  Returns the meta object for the attribute '`Cod Componente`'.

  Returns:
    the meta object for the attribute 'Cod Componente'.
  See Also:
    `ServiceDef.getCodComponente()`, `getServiceDef()`

### getServiceDef_Annotations

    org.eclipse.emf.ecore.EReference getServiceDef_Annotations()

  Returns the meta object for the containment reference list '`Annotations`'.

  Returns:
    the meta object for the containment reference list 'Annotations'.
  See Also:
    `ServiceDef.getAnnotations()`, `getServiceDef()`

### getServiceBinding

    org.eclipse.emf.ecore.EClass getServiceBinding()

  Returns the meta object for class '`Service Binding`'.

  Returns:
    the meta object for class 'Service Binding'.
  See Also:
    `ServiceBinding`

### getServiceBinding_CodBinding

    org.eclipse.emf.ecore.EAttribute getServiceBinding_CodBinding()

  Returns the meta object for the attribute '`Cod Binding`'.

  Returns:
    the meta object for the attribute 'Cod Binding'.
  See Also:
    `ServiceBinding.getCodBinding()`, `getServiceBinding()`

### getServiceBinding_ChannelSecurityLevel

    org.eclipse.emf.ecore.EAttribute getServiceBinding_ChannelSecurityLevel()

  Returns the meta object for the attribute '`Channel Security Level`'.

  Returns:
    the meta object for the attribute 'Channel Security Level'.
  See Also:
    `ServiceBinding.getChannelSecurityLevel()`, `getServiceBinding()`

### getEJBPABinding

    org.eclipse.emf.ecore.EClass getEJBPABinding()

  Returns the meta object for class '`EJBPA Binding`'.

  Returns:
    the meta object for class 'EJBPA Binding'.
  See Also:
    `EJBPABinding`

### getSOAPPABRBinding

    org.eclipse.emf.ecore.EClass getSOAPPABRBinding()

  Returns the meta object for class '`SOAPPABR Binding`'.

  Returns:
    the meta object for class 'SOAPPABR Binding'.
  See Also:
    `SOAPPABRBinding`

### getWSFADBinding

    org.eclipse.emf.ecore.EClass getWSFADBinding()

  Returns the meta object for class '`WSFAD Binding`'.

  Returns:
    the meta object for class 'WSFAD Binding'.
  See Also:
    `WSFADBinding`

### getWSBinding

    org.eclipse.emf.ecore.EClass getWSBinding()

  Returns the meta object for class '`WS Binding`'.

  Returns:
    the meta object for class 'WS Binding'.
  See Also:
    `WSBinding`

### getWSBinding_Endpoints

    org.eclipse.emf.ecore.EReference getWSBinding_Endpoints()

  Returns the meta object for the containment reference list '`Endpoints`'.

  Returns:
    the meta object for the containment reference list 'Endpoints'.
  See Also:
    `WSBinding.getEndpoints()`, `getWSBinding()`

### getOperation

    org.eclipse.emf.ecore.EClass getOperation()

  Returns the meta object for class '`Operation`'.

  Returns:
    the meta object for class 'Operation'.
  See Also:
    `Operation`

### getOperation_Name

    org.eclipse.emf.ecore.EAttribute getOperation_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Operation.getName()`, `getOperation()`

### getOperation_Params

    org.eclipse.emf.ecore.EReference getOperation_Params()

  Returns the meta object for the containment reference list '`Params`'.

  Returns:
    the meta object for the containment reference list 'Params'.
  See Also:
    `Operation.getParams()`, `getOperation()`

### getOperation_OpType

    org.eclipse.emf.ecore.EAttribute getOperation_OpType()

  Returns the meta object for the attribute '`Op Type`'.

  Returns:
    the meta object for the attribute 'Op Type'.
  See Also:
    `Operation.getOpType()`, `getOperation()`

### getOperation_ReturnType

    org.eclipse.emf.ecore.EReference getOperation_ReturnType()

  Returns the meta object for the reference '`Return Type`'.

  Returns:
    the meta object for the reference 'Return Type'.
  See Also:
    `Operation.getReturnType()`, `getOperation()`

### getOperation_Throws

    org.eclipse.emf.ecore.EReference getOperation_Throws()

  Returns the meta object for the reference list '`Throws`'.

  Returns:
    the meta object for the reference list 'Throws'.
  See Also:
    `Operation.getThrows()`, `getOperation()`

### getOperation_TxType

    org.eclipse.emf.ecore.EAttribute getOperation_TxType()

  Returns the meta object for the attribute '`Tx Type`'.

  Returns:
    the meta object for the attribute 'Tx Type'.
  See Also:
    `Operation.getTxType()`, `getOperation()`

### getOperation_Since

    org.eclipse.emf.ecore.EAttribute getOperation_Since()

  Returns the meta object for the attribute '`Since`'.

  Returns:
    the meta object for the attribute 'Since'.
  See Also:
    `Operation.getSince()`, `getOperation()`

### getOperation_AuthorizedRoles

    org.eclipse.emf.ecore.EReference getOperation_AuthorizedRoles()

  Returns the meta object for the reference list '`Authorized Roles`'.

  Returns:
    the meta object for the reference list 'Authorized Roles'.
  See Also:
    `Operation.getAuthorizedRoles()`, `getOperation()`

### getOperation_Validator

    org.eclipse.emf.ecore.EReference getOperation_Validator()

  Returns the meta object for the containment reference '`Validator`'.

  Returns:
    the meta object for the containment reference 'Validator'.
  See Also:
    `Operation.getValidator()`, `getOperation()`

### getParam

    org.eclipse.emf.ecore.EClass getParam()

  Returns the meta object for class '`Param`'.

  Returns:
    the meta object for class 'Param'.
  See Also:
    `Param`

### getParam_Name

    org.eclipse.emf.ecore.EAttribute getParam_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Param.getName()`, `getParam()`

### getParam_Type

    org.eclipse.emf.ecore.EReference getParam_Type()

  Returns the meta object for the reference '`Type`'.

  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `Param.getType()`, `getParam()`

### getParam_Validator

    org.eclipse.emf.ecore.EReference getParam_Validator()

  Returns the meta object for the containment reference '`Validator`'.

  Returns:
    the meta object for the containment reference 'Validator'.
  See Also:
    `Param.getValidator()`, `getParam()`

### getParam_Constraint

    org.eclipse.emf.ecore.EReference getParam_Constraint()

  Returns the meta object for the reference '`Constraint`'.

  Returns:
    the meta object for the reference 'Constraint'.
  See Also:
    `Param.getConstraint()`, `getParam()`

### getTypes

    org.eclipse.emf.ecore.EClass getTypes()

  Returns the meta object for class '`Types`'.

  Returns:
    the meta object for class 'Types'.
  See Also:
    `Types`

### getTypes_Types

    org.eclipse.emf.ecore.EReference getTypes_Types()

  Returns the meta object for the containment reference list '`Types`'.

  Returns:
    the meta object for the containment reference list 'Types'.
  See Also:
    `Types.getTypes()`, `getTypes()`

### getBaseTypes

    org.eclipse.emf.ecore.EClass getBaseTypes()

  Returns the meta object for class '`Base Types`'.

  Returns:
    the meta object for class 'Base Types'.
  See Also:
    `BaseTypes`

### getBaseTypes_BaseTypes

    org.eclipse.emf.ecore.EReference getBaseTypes_BaseTypes()

  Returns the meta object for the containment reference list '`Base Types`'.

  Returns:
    the meta object for the containment reference list 'Base Types'.
  See Also:
    `BaseTypes.getBaseTypes()`, `getBaseTypes()`

### getRole

    org.eclipse.emf.ecore.EClass getRole()

  Returns the meta object for class '`Role`'.

  Returns:
    the meta object for class 'Role'.
  See Also:
    `Role`

### getRole_Name

    org.eclipse.emf.ecore.EAttribute getRole_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Role.getName()`, `getRole()`

### getInputValidator

    org.eclipse.emf.ecore.EClass getInputValidator()

  Returns the meta object for class '`Input Validator`'.

  Returns:
    the meta object for class 'Input Validator'.
  See Also:
    `InputValidator`

### getInputValidator_Constraint

    org.eclipse.emf.ecore.EReference getInputValidator_Constraint()

  Returns the meta object for the containment reference '`Constraint`'.

  Returns:
    the meta object for the containment reference 'Constraint'.
  See Also:
    `InputValidator.getConstraint()`, `getInputValidator()`

### getParamValidator

    org.eclipse.emf.ecore.EClass getParamValidator()

  Returns the meta object for class '`Param Validator`'.

  Returns:
    the meta object for class 'Param Validator'.
  See Also:
    `ParamValidator`

### getParamValidator_Constraint

    org.eclipse.emf.ecore.EReference getParamValidator_Constraint()

  Returns the meta object for the containment reference '`Constraint`'.

  Returns:
    the meta object for the containment reference 'Constraint'.
  See Also:
    `ParamValidator.getConstraint()`, `getParamValidator()`

### getValueRangeConstraint

    org.eclipse.emf.ecore.EClass getValueRangeConstraint()

  Returns the meta object for class '`Value Range Constraint`'.

  Returns:
    the meta object for class 'Value Range Constraint'.
  See Also:
    `ValueRangeConstraint`

### getValueValorizationConstraint

    org.eclipse.emf.ecore.EClass getValueValorizationConstraint()

  Returns the meta object for class '`Value Valorization Constraint`'.

  Returns:
    the meta object for class 'Value Valorization Constraint'.
  See Also:
    `ValueValorizationConstraint`

### getValueValorizationConstraint_MustNotBeNull

    org.eclipse.emf.ecore.EAttribute getValueValorizationConstraint_MustNotBeNull()

  Returns the meta object for the attribute '`Must Not Be Null`'.

  Returns:
    the meta object for the attribute 'Must Not Be Null'.
  See Also:
    `ValueValorizationConstraint.isMustNotBeNull()`, `getValueValorizationConstraint()`

### getCustomConstraint

    org.eclipse.emf.ecore.EClass getCustomConstraint()

  Returns the meta object for class '`Custom Constraint`'.

  Returns:
    the meta object for class 'Custom Constraint'.
  See Also:
    `CustomConstraint`

### getCustomConstraint_CheckMethodName

    org.eclipse.emf.ecore.EAttribute getCustomConstraint_CheckMethodName()

  Returns the meta object for the attribute '`Check Method Name`'.

  Returns:
    the meta object for the attribute 'Check Method Name'.
  See Also:
    `CustomConstraint.getCheckMethodName()`, `getCustomConstraint()`

### getRelativeConstraint

    org.eclipse.emf.ecore.EClass getRelativeConstraint()

  Returns the meta object for class '`Relative Constraint`'.

  Returns:
    the meta object for class 'Relative Constraint'.
  See Also:
    `RelativeConstraint`

### getValueConstraint

    org.eclipse.emf.ecore.EClass getValueConstraint()

  Returns the meta object for class '`Value Constraint`'.

  Returns:
    the meta object for class 'Value Constraint'.
  See Also:
    `ValueConstraint`

### getSimpleParamCoinstraint

    org.eclipse.emf.ecore.EClass getSimpleParamCoinstraint()

  Returns the meta object for class '`Simple Param Coinstraint`'.

  Returns:
    the meta object for class 'Simple Param Coinstraint'.
  See Also:
    `SimpleParamCoinstraint`

### getSimpleParamCoinstraint_Param

    org.eclipse.emf.ecore.EReference getSimpleParamCoinstraint_Param()

  Returns the meta object for the reference '`Param`'.

  Returns:
    the meta object for the reference 'Param'.
  See Also:
    `SimpleParamCoinstraint.getParam()`, `getSimpleParamCoinstraint()`

### getSimpleParamCoinstraint_Constraint

    org.eclipse.emf.ecore.EReference getSimpleParamCoinstraint_Constraint()

  Returns the meta object for the containment reference '`Constraint`'.

  Returns:
    the meta object for the containment reference 'Constraint'.
  See Also:
    `SimpleParamCoinstraint.getConstraint()`, `getSimpleParamCoinstraint()`

### getCompositeParamConstraint

    org.eclipse.emf.ecore.EClass getCompositeParamConstraint()

  Returns the meta object for class '`Composite Param Constraint`'.

  Returns:
    the meta object for class 'Composite Param Constraint'.
  See Also:
    `CompositeParamConstraint`

### getCompositeParamConstraint_Component

    org.eclipse.emf.ecore.EReference getCompositeParamConstraint_Component()

  Returns the meta object for the containment reference list '`Component`'.

  Returns:
    the meta object for the containment reference list 'Component'.
  See Also:
    `CompositeParamConstraint.getComponent()`, `getCompositeParamConstraint()`

### getANDParamConstraint

    org.eclipse.emf.ecore.EClass getANDParamConstraint()

  Returns the meta object for class '`AND Param Constraint`'.

  Returns:
    the meta object for class 'AND Param Constraint'.
  See Also:
    `ANDParamConstraint`

### getORParamConstraint

    org.eclipse.emf.ecore.EClass getORParamConstraint()

  Returns the meta object for class '`OR Param Constraint`'.

  Returns:
    the meta object for class 'OR Param Constraint'.
  See Also:
    `ORParamConstraint`

### getParamConstraint

    org.eclipse.emf.ecore.EClass getParamConstraint()

  Returns the meta object for class '`Param Constraint`'.

  Returns:
    the meta object for class 'Param Constraint'.
  See Also:
    `ParamConstraint`

### getNOTParamConstraint

    org.eclipse.emf.ecore.EClass getNOTParamConstraint()

  Returns the meta object for class '`NOT Param Constraint`'.

  Returns:
    the meta object for class 'NOT Param Constraint'.
  See Also:
    `NOTParamConstraint`

### getCompositeValueConstraint

    org.eclipse.emf.ecore.EClass getCompositeValueConstraint()

  Returns the meta object for class '`Composite Value Constraint`'.

  Returns:
    the meta object for class 'Composite Value Constraint'.
  See Also:
    `CompositeValueConstraint`

### getCompositeValueConstraint_Component

    org.eclipse.emf.ecore.EReference getCompositeValueConstraint_Component()

  Returns the meta object for the containment reference list '`Component`'.

  Returns:
    the meta object for the containment reference list 'Component'.
  See Also:
    `CompositeValueConstraint.getComponent()`, `getCompositeValueConstraint()`

### getANDValueConstraint

    org.eclipse.emf.ecore.EClass getANDValueConstraint()

  Returns the meta object for class '`AND Value Constraint`'.

  Returns:
    the meta object for class 'AND Value Constraint'.
  See Also:
    `ANDValueConstraint`

### getORValueConstraint

    org.eclipse.emf.ecore.EClass getORValueConstraint()

  Returns the meta object for class '`OR Value Constraint`'.

  Returns:
    the meta object for class 'OR Value Constraint'.
  See Also:
    `ORValueConstraint`

### getNOTValueConstraint

    org.eclipse.emf.ecore.EClass getNOTValueConstraint()

  Returns the meta object for class '`NOT Value Constraint`'.

  Returns:
    the meta object for class 'NOT Value Constraint'.
  See Also:
    `NOTValueConstraint`

### getSimpleValueConstraint

    org.eclipse.emf.ecore.EClass getSimpleValueConstraint()

  Returns the meta object for class '`Simple Value Constraint`'.

  Returns:
    the meta object for class 'Simple Value Constraint'.
  See Also:
    `SimpleValueConstraint`

### getContinuousRangeConstraint

    org.eclipse.emf.ecore.EClass getContinuousRangeConstraint()

  Returns the meta object for class '`Continuous Range Constraint`'.

  Returns:
    the meta object for class 'Continuous Range Constraint'.
  See Also:
    `ContinuousRangeConstraint`

### getContinuousRangeConstraint_Lowerbound

    org.eclipse.emf.ecore.EAttribute getContinuousRangeConstraint_Lowerbound()

  Returns the meta object for the attribute '`Lowerbound`'.

  Returns:
    the meta object for the attribute 'Lowerbound'.
  See Also:
    `ContinuousRangeConstraint.getLowerbound()`, `getContinuousRangeConstraint()`

### getContinuousRangeConstraint_Upperbound

    org.eclipse.emf.ecore.EAttribute getContinuousRangeConstraint_Upperbound()

  Returns the meta object for the attribute '`Upperbound`'.

  Returns:
    the meta object for the attribute 'Upperbound'.
  See Also:
    `ContinuousRangeConstraint.getUpperbound()`, `getContinuousRangeConstraint()`

### getDiscreteRangeConstraint

    org.eclipse.emf.ecore.EClass getDiscreteRangeConstraint()

  Returns the meta object for class '`Discrete Range Constraint`'.

  Returns:
    the meta object for class 'Discrete Range Constraint'.
  See Also:
    `DiscreteRangeConstraint`

### getDiscreteRangeConstraint_Literals

    org.eclipse.emf.ecore.EAttribute getDiscreteRangeConstraint_Literals()

  Returns the meta object for the attribute list '`Literals`'.

  Returns:
    the meta object for the attribute list 'Literals'.
  See Also:
    `DiscreteRangeConstraint.getLiterals()`, `getDiscreteRangeConstraint()`

### getFeatureConstraint

    org.eclipse.emf.ecore.EClass getFeatureConstraint()

  Returns the meta object for class '`Feature Constraint`'.

  Returns:
    the meta object for class 'Feature Constraint'.
  See Also:
    `FeatureConstraint`

### getCompositeFeatureConstraint

    org.eclipse.emf.ecore.EClass getCompositeFeatureConstraint()

  Returns the meta object for class '`Composite Feature Constraint`'.

  Returns:
    the meta object for class 'Composite Feature Constraint'.
  See Also:
    `CompositeFeatureConstraint`

### getSimpleFeatureConstraint

    org.eclipse.emf.ecore.EClass getSimpleFeatureConstraint()

  Returns the meta object for class '`Simple Feature Constraint`'.

  Returns:
    the meta object for class 'Simple Feature Constraint'.
  See Also:
    `SimpleFeatureConstraint`

### getSimpleFeatureConstraint_Constraint

    org.eclipse.emf.ecore.EReference getSimpleFeatureConstraint_Constraint()

  Returns the meta object for the containment reference '`Constraint`'.

  Returns:
    the meta object for the containment reference 'Constraint'.
  See Also:
    `SimpleFeatureConstraint.getConstraint()`, `getSimpleFeatureConstraint()`

### getSimpleFeatureConstraint_Entity

    org.eclipse.emf.ecore.EReference getSimpleFeatureConstraint_Entity()

  Returns the meta object for the reference '`Entity`'.

  Returns:
    the meta object for the reference 'Entity'.
  See Also:
    `SimpleFeatureConstraint.getEntity()`, `getSimpleFeatureConstraint()`

### getSimpleFeatureConstraint_Feature

    org.eclipse.emf.ecore.EReference getSimpleFeatureConstraint_Feature()

  Returns the meta object for the reference '`Feature`'.

  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `SimpleFeatureConstraint.getFeature()`, `getSimpleFeatureConstraint()`

### getANDFeatureConstraint

    org.eclipse.emf.ecore.EClass getANDFeatureConstraint()

  Returns the meta object for class '`AND Feature Constraint`'.

  Returns:
    the meta object for class 'AND Feature Constraint'.
  See Also:
    `ANDFeatureConstraint`

### getORFeatureConstraint

    org.eclipse.emf.ecore.EClass getORFeatureConstraint()

  Returns the meta object for class '`OR Feature Constraint`'.

  Returns:
    the meta object for class 'OR Feature Constraint'.
  See Also:
    `ORFeatureConstraint`

### getNOTFeatureConstraint

    org.eclipse.emf.ecore.EClass getNOTFeatureConstraint()

  Returns the meta object for class '`NOT Feature Constraint`'.

  Returns:
    the meta object for class 'NOT Feature Constraint'.
  See Also:
    `NOTFeatureConstraint`

### getServiceDefAnnotation

    org.eclipse.emf.ecore.EClass getServiceDefAnnotation()

  Returns the meta object for class '`Service Def Annotation`'.

  Returns:
    the meta object for class 'Service Def Annotation'.
  See Also:
    `ServiceDefAnnotation`

### getServiceDefAnnotation_Source

    org.eclipse.emf.ecore.EAttribute getServiceDefAnnotation_Source()

  Returns the meta object for the attribute '`Source`'.

  Returns:
    the meta object for the attribute 'Source'.
  See Also:
    `ServiceDefAnnotation.getSource()`, `getServiceDefAnnotation()`

### getServiceDefAnnotation_Details

    org.eclipse.emf.ecore.EReference getServiceDefAnnotation_Details()

  Returns the meta object for the containment reference list '`Details`'.

  Returns:
    the meta object for the containment reference list 'Details'.
  See Also:
    `ServiceDefAnnotation.getDetails()`, `getServiceDefAnnotation()`

### getSDAnnotationDetail

    org.eclipse.emf.ecore.EClass getSDAnnotationDetail()

  Returns the meta object for class '`SD Annotation Detail`'.

  Returns:
    the meta object for class 'SD Annotation Detail'.
  See Also:
    `SDAnnotationDetail`

### getSDAnnotationDetail_Key

    org.eclipse.emf.ecore.EAttribute getSDAnnotationDetail_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `SDAnnotationDetail.getKey()`, `getSDAnnotationDetail()`

### getSDAnnotationDetail_Value

    org.eclipse.emf.ecore.EAttribute getSDAnnotationDetail_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `SDAnnotationDetail.getValue()`, `getSDAnnotationDetail()`

### getWSEndpoint

    org.eclipse.emf.ecore.EClass getWSEndpoint()

  Returns the meta object for class '`WS Endpoint`'.

  Returns:
    the meta object for class 'WS Endpoint'.
  See Also:
    `WSEndpoint`

### getWSEndpoint_Code

    org.eclipse.emf.ecore.EAttribute getWSEndpoint_Code()

  Returns the meta object for the attribute '`Code`'.

  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `WSEndpoint.getCode()`, `getWSEndpoint()`

### getWSEndpoint_InChannel

    org.eclipse.emf.ecore.EReference getWSEndpoint_InChannel()

  Returns the meta object for the containment reference '`In Channel`'.

  Returns:
    the meta object for the containment reference 'In Channel'.
  See Also:
    `WSEndpoint.getInChannel()`, `getWSEndpoint()`

### getWSEndpoint_OutChannel

    org.eclipse.emf.ecore.EReference getWSEndpoint_OutChannel()

  Returns the meta object for the containment reference '`Out Channel`'.

  Returns:
    the meta object for the containment reference 'Out Channel'.
  See Also:
    `WSEndpoint.getOutChannel()`, `getWSEndpoint()`

### getWSSecuritySpec

    org.eclipse.emf.ecore.EClass getWSSecuritySpec()

  Returns the meta object for class '`WS Security Spec`'.

  Returns:
    the meta object for class 'WS Security Spec'.
  See Also:
    `WSSecuritySpec`

### getWSUsernameTokenAuth

    org.eclipse.emf.ecore.EClass getWSUsernameTokenAuth()

  Returns the meta object for class '`WS Username Token Auth`'.

  Returns:
    the meta object for class 'WS Username Token Auth'.
  See Also:
    `WSUsernameTokenAuth`

### getWSSignature

    org.eclipse.emf.ecore.EClass getWSSignature()

  Returns the meta object for class '`WS Signature`'.

  Returns:
    the meta object for class 'WS Signature'.
  See Also:
    `WSSignature`

### getWSTimestamp

    org.eclipse.emf.ecore.EClass getWSTimestamp()

  Returns the meta object for class '`WS Timestamp`'.

  Returns:
    the meta object for class 'WS Timestamp'.
  See Also:
    `WSTimestamp`

### getWSEncrypt

    org.eclipse.emf.ecore.EClass getWSEncrypt()

  Returns the meta object for class '`WS Encrypt`'.

  Returns:
    the meta object for class 'WS Encrypt'.
  See Also:
    `WSEncrypt`

### getWSEndpointChannel

    org.eclipse.emf.ecore.EClass getWSEndpointChannel()

  Returns the meta object for class '`WS Endpoint Channel`'.

  Returns:
    the meta object for class 'WS Endpoint Channel'.
  See Also:
    `WSEndpointChannel`

### getWSEndpointChannel_WsSecurity

    org.eclipse.emf.ecore.EReference getWSEndpointChannel_WsSecurity()

  Returns the meta object for the containment reference list '`Ws Security`'.

  Returns:
    the meta object for the containment reference list 'Ws Security'.
  See Also:
    `WSEndpointChannel.getWsSecurity()`, `getWSEndpointChannel()`

### getChannelSecurityLevelEnum

    org.eclipse.emf.ecore.EEnum getChannelSecurityLevelEnum()

  Returns the meta object for enum '`Channel Security Level Enum`'.

  Returns:
    the meta object for enum 'Channel Security Level Enum'.
  See Also:
    `ChannelSecurityLevelEnum`

### getOpTypeEnum

    org.eclipse.emf.ecore.EEnum getOpTypeEnum()

  Returns the meta object for enum '`Op Type Enum`'.

  Returns:
    the meta object for enum 'Op Type Enum'.
  See Also:
    `OpTypeEnum`

### getTXTypeEnum

    org.eclipse.emf.ecore.EEnum getTXTypeEnum()

  Returns the meta object for enum '`TX Type Enum`'.

  Returns:
    the meta object for enum 'TX Type Enum'.
  See Also:
    `TXTypeEnum`

### getSrvTypeEnum

    org.eclipse.emf.ecore.EEnum getSrvTypeEnum()

  Returns the meta object for enum '`Srv Type Enum`'.

  Returns:
    the meta object for enum 'Srv Type Enum'.
  See Also:
    `SrvTypeEnum`

### getAuthLevelEnum

    org.eclipse.emf.ecore.EEnum getAuthLevelEnum()

  Returns the meta object for enum '`Auth Level Enum`'.

  Returns:
    the meta object for enum 'Auth Level Enum'.
  See Also:
    `AuthLevelEnum`

### getServicedefFactory

    ServicedefFactory getServicedefFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD